<template>
  <v-container id="carousel" class="py-0 px-0">
    <v-row class="fill-height" align="center" justify="center">
      <div class="col-12 mx-auto">
        <v-carousel :show-arrows="false" max="5" cycle>
          <div v-for="(post, p) in posts" :key="`${p}-${post}`">
            <router-link :to="{name: 'OneArticle', params: {id: post.id}}">
              <v-carousel-item :src="post.image"><div id="post-title" class="text-center px-2">{{post.title}}</div></v-carousel-item>
            </router-link>
          </div>
        </v-carousel>
      </div>
    </v-row>
  </v-container>
</template>

<script>
import PostService from "../services/PostServices";

export default {
  name: "AllArticlesList",
  components: {},
  data() {
    return {
      posts: []
    };
  },
  mounted() {
    const service = new PostService();
    service
      .findAll()
      .then(data => {
        this.posts = data;
      })
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style lang="scss">
#carousel {
  #post-title {
    letter-spacing: 2px;
    font-size: 25px;
    background-color: rgba(0, 0, 0, 0.664);
  }
}
</style>